KateBuffer Class Reference

`#include <katebuffer.h>`

Inherits QObject.

## Public Slots

void | codeFoldingColumnUpdate (unsigned int lineNr)

## Signals

void | codeFoldingUpdated ()
void | tagLines (int start, int end)

## Public Member Functions

| KateBuffer (KateDocument *doc)
| ~KateBuffer ()
void | editStart ()
void | editEnd ()
bool | editChanged () const
uint | editTagStart () const
uint | editTagEnd () const
bool | editTagFrom () const
void | clear ()
bool | openFile (const QString &m_file)
bool | loadingBorked () const
bool | binary () const
bool | canEncode ()
bool | saveFile (const QString &m_file)
KateTextLine::Ptr | line (uint i)
KateTextLine::Ptr | plainLine (uint i)
uint | count () const
void | changeLine (uint i)
void | insertLine (uint i, KateTextLine::Ptr line)
void | removeLine (uint i)
uint | countVisible ()
uint | lineNumber (uint visibleLine)
uint | lineVisibleNumber (uint line)
void | lineInfo (KateLineInfo *info, unsigned int line)
uint | tabWidth () const
void | setTabWidth (uint w)
void | setHighlight (uint hlMode)
KateHighlighting * | highlight ()
void | invalidateHighlighting ()
KateCodeFoldingTree * | foldingTree ()

## Static Public Member Functions

static uint | maxLoadedBlocks ()
static void | setMaxLoadedBlocks (uint count)

## Friends

class | KateBufBlock

## Detailed Description

The KateBuffer class maintains a collections of lines.

It allows to maintain state information in a lazy way. It handles swapping out of data using secondary storage.

It is designed to handle large amounts of text-data efficiently with respect to CPU and memory usage.

Author
  Waldo Bastian basti.nosp@m.an@k.nosp@m.de.or.nosp@m.g
  Christoph Cullmann cullm.nosp@m.ann@.nosp@m.kde.o.nosp@m.rg

Definition at line 341 of file katebuffer.h.

## Constructor & Destructor Documentation

KateBuffer::KateBuffer | ( | KateDocument * | doc | ) |

Create an empty buffer.

Parameters

  doc | parent document

(with one block with one empty line)

Definition at line 323 of file katebuffer.cpp.

KateBuffer::~KateBuffer | ( |  | ) |

Goodbye buffer.

Cleanup on destruction.

Definition at line 352 of file katebuffer.cpp.

## Member Function Documentation

bool KateBuffer::binary | ( |  | ) | const

inline

is this file a binary?

Returns
  binary file?

Definition at line 469 of file katebuffer.h.

bool KateBuffer::canEncode | ( |  | ) |

Can the current codec handle all chars.

Returns
  chars can be encoded

Definition at line 540 of file katebuffer.cpp.

void KateBuffer::changeLine | ( | uint | i | ) |

Mark line `i` as changed !

Definition at line 702 of file katebuffer.cpp.

void KateBuffer::clear | ( |  | ) |

Clear the buffer.

Definition at line 431 of file katebuffer.cpp.

void KateBuffer::codeFoldingUpdated | ( |  | ) |

signal

Emittend if codefolding returned with a changed list.

uint KateBuffer::count | ( |  | ) | const

inline

Return the total number of lines in the buffer.

Definition at line 524 of file katebuffer.h.

bool KateBuffer::editChanged | ( |  | ) | const

inline

were there changes in the current running editing session?

Returns
  changes done?

Definition at line 394 of file katebuffer.h.

void KateBuffer::editEnd | ( |  | ) |

finish some editing action

Definition at line 379 of file katebuffer.cpp.

void KateBuffer::editStart | ( |  | ) |

start some editing action

Definition at line 363 of file katebuffer.cpp.

uint KateBuffer::editTagEnd | ( |  | ) | const

inline

dirty lines end

Returns
  end line

Definition at line 406 of file katebuffer.h.

bool KateBuffer::editTagFrom | ( |  | ) | const

inline

line inserted/removed?

Returns
  line inserted/removed?

Definition at line 412 of file katebuffer.h.

uint KateBuffer::editTagStart | ( |  | ) | const

inline

dirty lines start

Returns
  start line

Definition at line 400 of file katebuffer.h.

void KateBuffer::insertLine | ( | uint | i,
|  | KateTextLine::Ptr | line
| ) |  |

Insert `line` in front of line `i`.

Definition at line 723 of file katebuffer.cpp.

void KateBuffer::invalidateHighlighting | ( |  | ) |

Invalidate highlighting of whole buffer.

Definition at line 892 of file katebuffer.cpp.

KateTextLine::Ptr KateBuffer::line | ( | uint | i | ) |

inline

Return line `i`.

Definition at line 488 of file katebuffer.h.

bool KateBuffer::loadingBorked | ( |  | ) | const

inline

was the last loading broken because of not enough tmp disk space ? (will be reseted on successful save of the file, user gets warning if he really wants to do it)

Returns
  was loading borked?

Definition at line 463 of file katebuffer.h.

static uint KateBuffer::maxLoadedBlocks | ( |  | ) |

inline static

maximal loaded block count

Returns
  max loaded blocks

Definition at line 352 of file katebuffer.h.

bool KateBuffer::openFile | ( | const QString & | m_file | ) |

Open a file, use the given filename.

Parameters

  m_file | filename to open

Returns
  success

Definition at line 458 of file katebuffer.cpp.

KateTextLine::Ptr KateBuffer::plainLine | ( | uint | i | ) |

inline

Return line `i` without triggering highlighting.

Definition at line 512 of file katebuffer.h.

void KateBuffer::removeLine | ( | uint | i | ) |

Remove line `i`.

Definition at line 772 of file katebuffer.cpp.

bool KateBuffer::saveFile | ( | const QString & | m_file | ) |

Save the buffer to a file, use the given filename + codec + end of line chars (internal use of qtextstream)

Parameters

  m_file | filename to save to

Returns
  success

Definition at line 564 of file katebuffer.cpp.

void KateBuffer::setHighlight | ( | uint | hlMode | ) |

Use `highlight` for highlighting.

`highlight` may be 0 in which case highlighting will be disabled.

Definition at line 856 of file katebuffer.cpp.

void KateBuffer::setMaxLoadedBlocks | ( | uint | count | ) |

static

modifier for max loaded blocks limit

Parameters

  count | new limit

Definition at line 79 of file katebuffer.cpp.

void KateBuffer::tagLines | ( | int | start,
|  | int | end
| ) |  |

signal

Emitted when the highlighting of a certain range has changed.

The documentation for this class was generated from the following files:

- katebuffer.h
- katebuffer.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys